Home

# Class goog.testing.MockRange

LooseMock of goog.dom.AbstractRange. Useful because the mock framework cannot simply create a mock out of an abstract class, and cannot create a mock out of classes that implements __iterator__ because it relies on the default behavior of iterating through all of an object's properties.

extends goog.testing.LooseMock

Static Method Summary
| `ConcreteRange_()` Concrete subclass of goog.dom.AbstractRange that simply sets the abstract method __iterator__ to undefined so that javascript defaults to iterating through all of the object's properties.